• English
  • Create Order

    Request Path

    /api/pos/order/placeOrder

    Parameter List

    NameTypeLengthRequiredDescription
    orderIdString48YESMerchant unique order number
    amountLong-YESThe transaction amount needs to be amplified 100 times, such as 0.1N -> 10N
    snString32YESDevice SN
    bizTypeString32YESTransaction type, enumerated: Purchase
    callbackUrlString255YESRequest callback address

    Return Values

    NameTypeLengthRequiredDescription
    snString32YESDevice SN
    orderIdString48YESMerchant unique order number
    orderNoString48YESPalmpay unique order number
    amountLong-YESThe transaction amount needs to be amplified 100 times, such as 0.1N -> 10N
    statusInteger32YESOrder Status WAIT_NOTIFY(1) // Waiting for notification WAIT_PAY(2) // Waiting for payment PAYING(3) // Paying PAYED(4) // Paid CANCEL_PAY(5) // Cancel payment SUCCESS(6) // Business order successful FAIL(7) // Business order failed PENDING(8) // Business order pending
    bizTypeString32YESTransaction type, enumerated: Purchase
    callbackUrlString255YESRequest callback address

    Common Error Codes

    Please refer to the document

    Postman Request Example

    request

    curl --location --request POST 'https://open-gw-sandbox.palmpay-inc.com/api/pos/order/placeOrder' \
    --header 'Accept: application/json, text/plain, */*' \
    --header 'CountryCode: NG' \
    --header 'Authorization: Bearer L240910133611075343802' \
    --header 'Signature: HCqTeD2vxJMCEp9vLujBqztR5na+SW9Xx3UuNYOHW7gvCRmvrA2f6EYa+JPzSEpfBqnXfW9omatet2lWXfOI1uLpG0/pE44d5yIHK1YucRRznjHlircsurDgBSxE0BLu5ZbOvLBCcyyHD+SERyVLDV1fOOtgcK5ghbSRsvAs+QBbd9EAgzm3Fse1zEVFBVpkMdJhIqPgzO6rWuFeFQFeOwD5kVoo1YlWs32uWWxXSRKGm38tbovyO5N6eMbAmEdrUPrhiZ1B+vdlngRTdtpPE06z0bUmWy4prlFU4htJD1+RQWta8nejFSYgU+hQKQHxWs1pvTKv+hrsowBEIdOdRA==' \
    --header 'Content-Type: application/json' \
    --data '{
        "orderId": "2025test001",
        "amount": 100,
        "sn": "PBE5226U30494",
        "bizType": "Purchase",
        "callbackUrl": "https://ms.palmpay-inc.com/#/api/automation",
        "requestTime": 1546857549088,
        "version": "V2.0",
        "nonceStr": "tXIUBaQUUip97xhymcgvndYo6oSAvQXP"
    }'

    response

    {
      "respCode": "00000000",
      "respMsg": "success",
      "data": {
        "sn": "PBE5226U30494",
        "orderId": "2025test001",
        "orderNo": null,
        "amount": 100,
        "status": 2,
        "bizType": "Purchase",
        "callbackUrl": "https://ms.palmpay-inc.com/#/api/automation"
      }
    }